## sendmail 8.13.4

=== libsm/Makefile ===
#       $Id: Makefile,v 1.1 2000/03/27 19:26:48 dmoen Exp $

SHELL= /bin/sh
BUILD=   ./Build
OPTIONS= $(CONFIG) $(FLAGS)

all: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
clean: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
install: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@

fresh: FRC
	$(SHELL) $(BUILD) $(OPTIONS) -c

FRC:

## sendmail 8.14.4

=== editmap/Makefile ===
#       $Id: Makefile,v 1.1 2000/08/31 16:19:25 ca Exp $

SHELL= /bin/sh
BUILD=   ./Build
OPTIONS= $(CONFIG) $(FLAGS)

all: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
clean: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
install: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@

fresh: FRC
	$(SHELL) $(BUILD) $(OPTIONS) -c

FRC:

=== mail.local/Makefile ===
#       $Id: Makefile,v 8.5 1999/10/05 16:39:32 ca Exp $

SHELL= /bin/sh
BUILD=   ./Build
OPTIONS= $(CONFIG) $(FLAGS)

all: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
clean: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
install: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
force-install: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@

fresh: FRC
	$(SHELL) $(BUILD) $(OPTIONS) -c

FRC:

=== makemap/Makefile ===
#       $Id: Makefile,v 8.7 1999/09/23 22:36:37 ca Exp $

SHELL= /bin/sh
BUILD=   ./Build
OPTIONS= $(CONFIG) $(FLAGS)

all: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
clean: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
install: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@

fresh: FRC
	$(SHELL) $(BUILD) $(OPTIONS) -c

FRC:

=== test/Makefile ===
#       $Id: Makefile,v 1.2 2006/05/30 18:50:26 ca Exp $

SHELL= /bin/sh
BUILD=   ./Build
OPTIONS= $(CONFIG) $(FLAGS)

all: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
clean: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
check: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
install: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@

fresh: FRC
	$(SHELL) $(BUILD) $(OPTIONS) -c

FRC:

=== debian/changelog ===
sendmail (8.14.4-8+deb8u2) jessie; urgency=medium

  * QA upload.
  * Only touch files as smmsp:smmsp in /var/run/sendmail/stampdir (writable by
    group smmsp) to avoid possible privilege escalation.  (Closes: #841257)
  * Use lockfile-create (from lockfile-progs) instead of touch to manage the
    cronjob lockfiles.
  * sendmail-base: Add Depends: netbase for /etc/services.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 06 Feb 2017 00:16:03 +0100

sendmail (8.14.4-8+deb8u1) jessie; urgency=medium

  * QA upload.
  * Cherry-pick some patches from RHEL 6: RHBA-2015:1299-3
  * sendmail-8.14.4-client-port.patch: sendmail {client_port} not set
    correctly on little endian machines (8.15.1).
  * sendmail-8.14.4-ldap-fix.patch: do not abort with an assertion if the
    connection to an LDAP server is lost (8.14.5).  (Closes: #826120)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Jun 2016 19:44:19 +0200

sendmail (8.14.4-8) unstable; urgency=medium

  * QA upload.
  * Move patches from debian/patches/8.14/8.14.4/ to debian/patches/.
  * Rename the series file to series-quilt since the patches cannot be applied
    by dpkg-source but are applied by quilt after unpacking the tar-in-tar.
  * Fix hyphenation errors in manpages.
  * Remove the m4 step from d/control generation.
  * Convert most of the build process from cdbs to dh. Only unpacking the
    tarball and applying the patches is still done with cdbs.
  * Simplify d/rules.
  * Convert d/copyright to DEP5 style.
  * d/changelog.Debian.8.*: Restore Debian changelogs from sendmail 8.8, 8.9,
    8.12, 8.13 series.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Oct 2014 19:52:50 +0200

sendmail (8.14.4-7) unstable; urgency=medium

  * QA upload.
  * Remove timestamp from bug-script.  (Closes: #749177)
  * libmilter.symbols: Mark shm-specific symbols as linux-any and add the
    !linux-any counterparts.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 25 May 2014 01:37:44 +0200

sendmail (8.14.4-6) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group.  (See: #740070)
  * Add systemd socket activation support for libmilter, thanks to Mikhail
    Gusarov.  (Closes: #741257) (LP: #1322969)
  * Add _FFR_TLS_EC support, thanks to Fredrik Pettai.  (Closes: #740792)
  * Add support for OpenSSL options SSL_OP_NO_TLSv1_1 and SSL_OP_NO_TLSv1_2
    (backported from 8.14.8), thanks to David F. Skoll.  (Closes: #747910)
  * Apply manpage corrections from Ubuntu.  (Closes: #747551)
  * libmilter-assert.patch: Fix an incorrect assertion in libmilter,
    cherry-picked from sendmail 8.14.7.  (LP: #1299571)
  * close_on_exec.patch: Properly set the close-on-exec flag for file
    descriptors before executing mailers, cherry-picked from sendmail 8.14.9.
  * libmilter: Convert into a 'Multi-Arch: same' package.
  * libmilter: Add symbols control file.
  * libmilter-dev: Move static libraries from /usr/lib/libmilter to /usr/lib.
  * Remove outdated documentation and other cruft.
  * Don't re-generate d/changelog during build.
  * Abort build if debian/control got regenerated and differs.
  * Create directories during 'd/rules install' instead of using .dirs.
  * Patch sendmail build system to install libraries.
  * Install files via debian/tmp and use dh_install/dh_installman.
  * Update to Standards-Version: 3.9.5.
  * Update Lintian overrides.  (Closes: #553293)
  * Import ftp://ftp.sendmail.org/pub/sendmail/PGPKEYS ($Revision: 8.46 $,
    $Date: 2014-01-18 00:20:24 $) into debian/upstream/signing-key.pgp.
  * d/watch: Enable PGP signature checking.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 24 May 2014 13:19:14 +0200

sendmail (8.14.4-5) unstable; urgency=low

  * QA upload.
  * Switch from deprecated 'find -perm +xxx' to 'find -perm /xxx'.
    (Closes: #724772)
  * Start sendmail after bind9 (or any other named) if it is installed.
    (Closes: #714184)
  * Update watch file to ignore symbolic links in the ftp directory listing,
    thanks to Masatake YAMATO.  (Closes: #615477)
  * kFreeBSD: Enable HASURANDOMDEV, thanks to Brian M. Carlson.
    (Closes: #366087)
  * Really fix FTBFS on HURD, thanks to Samuel Thibault.  (Closes: #608525)
  * Update logcheck patterns to match high precision timestamps, thanks to
    Ralf Döblitz  (Closes: #638952)
  * conf.c-ipv6.patch: Fix A-only MX CNAME interface binding issues when using
    IPv6, thanks to David F. Skoll.  (Closes: #737164) (LP: #1223633)
  * debian/*/Makefile.am: Recover from Makefile.in.
  * debian/rules: refresh-debian-configure: Refresh all Makefile.in, too.
  * debian/build/: Update automake helper scripts to automake 1.14.
  * debian/configure.ac: Fix libdb-dev autodetection.
  * Simplify managing the bug control files.
  * Let dh_lintian install the overrides.
  * Simplify managing generated control files by placing the templates
    directly in debian/.
  * sendmail-base.postrm: Do not mess with conffiles and other shipped files
    during purge.  (Closes: #736982)
  * Switch to debhelper compat level 9.
  * Use source format 3.0 (quilt).
  * Fix some problems reported by lintian.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Feb 2014 00:46:55 +0100

sendmail (8.14.4-4.1) unstable; urgency=low

  * QA upload.
  * Fix infinite loop in update_db, thanks to Flo.  (Closes: #717951)
  * Do not ship duplicate sendmail.8 manpage.  (Closes: #709895, #597781)
  * Use [linux-any] instead of hardcoded list.  (Closes: #634378)
  * Fix FTBFS with ld --as-needed, thanks to Firas Kraiem.
    (Closes: #608011, #609606)
  * sendmailconfig: Add missing quoting, thanks to Stuart Sheldon.
    (Closes: #692047)
  * Raise MAXDAEMONS from 10 to 64, thanks to Kees Cook.  (Closes: #720435)
  * Enable all hardening flags, thanks to Simon Ruderich.  (Closes: #687708)
  * Fix FTBFS on HURD, thanks to Samuel Thibault.  (Closes: #608525)
  * Drop obsolete NEWS entries.
  * Use canonical Vcs-* URLs.
  * Fix duplicate and incorrect Section and Homepage settings.


=== debian/control ===
Source: sendmail
Priority: extra
Section: mail
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.5
Build-Depends-Indep:
 groff,
 bsdmainutils,
Build-Depends:
 make (>> 3.79.1-14),
 m4,
 cdbs,
 quilt,
 patchutils,
 dh-buildinfo,
 debhelper (>= 9),
 linux-libc-dev (>= 2.6.21-3) [linux-any],
 , libdb-dev, libldap2-dev, libwrap0-dev, liblockfile-dev, libsasl2-dev, libssl-dev
Build-Conflicts:
 libbind-dev,
 bind-dev,
 fakeroot (<< 0.4.5),
Homepage: http://www.sendmail.org
Vcs-Git: git://anonscm.debian.org/collab-maint/sendmail.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sendmail.git

Package: sendmail-bin
Architecture: any
Replaces: mail-transport-agent
Provides: mail-transport-agent
Conflicts: mail-transport-agent
Pre-Depends:
 debconf,
Depends:
 sendmail-base,
 sendmail-cf,
 procps,
 ,
 ${shlibs:Depends},
 ${perl:Depends},
 ${misc:Depends}
Recommends:
 ,
Suggests:
 sendmail-doc,
 , sasl2-bin, libsasl2-modules, openssl,
Description: powerful, efficient, and scalable Mail Transport Agent
 Sendmail is an alternative Mail Transport Agent (MTA) for Debian.
 It is suitable for handling sophisticated mail configurations,
 although this means that its configuration can also be complex.
 .
 Fortunately, simple thing can be done easily, and complex things
 are possible, even if not easily understood ;)  Sendmail is the *ONLY*
 MTA with a Turing complete language to control *ALL* aspects of delivery!
 .
 Sendmail provides Security and SPAM/UCE/UBE protection via several means.
 .
 Sendmail includes *no* Mail User Agents (MUA), you'll have to
 pick from the plethora of available MUAs (mutt, vm, etc.)
 .
 This package supports REGEX, DB, NIS, NIS+, LDAP, DNS maps,
 and has enabled TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL).

Package: rmail
Architecture: any
Conflicts:
 postfix,
 exim,
 exim-tls,
 exim4-daemon-custom,
 exim4-daemon-heavy,
 exim4-daemon-light,
 courier-mta,
 smail,
 zmailer,
 masqmail,
Depends:
 sendmail-bin | mail-transport-agent,
 ${shlibs:Depends},
 ${misc:Depends}
Description: MTA->UUCP remote mail handler
 Rmail handles mail received via uucp and passes it to the local
 sendmail (or workalike).
 .
 This version comes from the sendmail source package and the only
 change is the call to sendmail (from -obq to -obi).

Package: sensible-mda
Architecture: any
Depends:
 sendmail-bin | mail-transport-agent,
 procmail | maildrop | deliver,
 ${shlibs:Depends},
 ${misc:Depends}
Description: Mail Delivery Agent wrapper
 Sensible-mda is a Debian addition in the sendmail package and has been
 split out in hopes that it might be useful for other MTA packages.
 .
 Sensible-mda is called by the MTA, and will in turn call whichever of
 the following MDAs that it finds (in this order):
 procmail, maildrop, deliver, mail.local

Package: libmilter1.0.1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Sendmail Mail Filter API (Milter)
 The Sendmail Mail Filter API (Milter) is designed to allow third-party
 programs access to mail messages as they are being processed in order
 to filter meta-information(headers) and content.
 .
 The Debian Sendmail package is built to support libmilter.
 .
 This package contains libmilter.so

Package: libmilter1.0.1-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends:
 libmilter1.0.1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Sendmail Mail Filter API (Milter) (debug symbols)
 The Sendmail Mail Filter API (Milter) is designed to allow third-party
 programs access to mail messages as they are being processed in order
 to filter meta-information(headers) and content.
 .
 The Debian Sendmail package is built to support libmilter.
 .
 This package contains debugging information for libmilter.so

Package: libmilter-dev
Architecture: any
Section: libdevel
Depends:
 libmilter1.0.1 (= ${binary:Version}),
 ${misc:Depends}
Suggests:
 sendmail-doc,
Description: Sendmail Mail Filter API (Milter) (development files)
 The Sendmail Mail Filter API (Milter) is designed to allow third-party
 programs access to mail messages as they are being processed in order
 to filter meta-information (headers) and content.
 .
 The Debian Sendmail package is built to support libmilter.
 .
 This is the libmilter static library and include files for development.
 .
 The documentation on building a Milter is in the sendmail-doc package.

Package: sendmail-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Description: powerful, efficient, and scalable Mail Transport Agent (documentation)
 Sendmail is an alternative Mail Transport Agent (MTA) for
 Debian. It is suitable for handling sophisticated mail
 configurations, although this means that its configuration
 can also be complex.
 .
 Don't try anything fancy in sendmail without using this for guidance.
 .
 Because of the complexity, you may find yourself wanting to peruse
 the documentation files included herein.  The main files are:
   cf.README.gz    -- A reference for all things in sendmail.{mc,cf}
   op.{ps,txt}.gz  -- The care and feeding of Sendmail.
   faq.txt.gz      -- Sendmail FAQ, current as of the package date.
 .
 Other files include the references for smrsh and libmilter.

Package: sendmail
Architecture: all
Depends:
 sendmail-base,
 sendmail-bin,
 sendmail-cf,
 sensible-mda,
 ${misc:Depends}
Suggests:
 sendmail-doc,
 rmail,
Breaks:
 sendmail-base (<< 8.14.4-2.2~),
Replaces:
 sendmail-tls,
 sendmail-base (<< 8.14.4-2.2~),
Description: powerful, efficient, and scalable Mail Transport Agent (metapackage)
 Sendmail is an alternative Mail Transport Agent (MTA) for Debian.
 It is suitable for handling sophisticated mail configurations,
 although this means that its configuration can also be complex.
 .
 Fortunately, simple thing can be done easily, and complex things
 are possible, even if not easily understood ;)  Sendmail is the *ONLY*
 MTA with a Turing complete language to control *ALL* aspects of delivery!
 .
 Sendmail provides Security and SPAM/UCE/UBE protection via several means.
 .
 Sendmail includes *no* Mail User Agents (MUA), you'll have to
 pick from the plethora of available MUAs (mutt, vm, etc.)
 .
 This package supports REGEX, DB, NIS, NIS+, LDAP, DNS maps,
 and has enabled TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL).
 .
 This package is to make installation/upgrading easier (Do NOT delete it)

Package: sendmail-base
Architecture: all
Depends:
 m4,
 make,
 adduser,
 netbase,
 lockfile-progs,
 ${perl:Depends},
 ${misc:Depends}
Suggests:
 sendmail-doc,
 ca-certificates,
 logcheck,
 logrotate,
 resolvconf,
Description: powerful, efficient, and scalable Mail Transport Agent (arch independent files)
 Sendmail is an alternative Mail Transport Agent (MTA) for
 Debian. It is suitable for handling sophisticated mail
 configurations, although this means that its configuration
 can also be complex.
 .
 This package contains the base, architecture independent, portions
 of the sendmail packages.

Package: sendmail-cf
Architecture: all
Depends:
 m4,
 ${misc:Depends}
Suggests:
 sendmail-doc,
Description: powerful, efficient, and scalable Mail Transport Agent (config macros)
 Sendmail is an alternative Mail Transport Agent (MTA) for
 Debian. It is suitable for handling sophisticated mail
 configurations, although this means that its configuration
 can also be complex.
 .
 This package contains the .m4 (configuration files) for the
 sendmail packages.

=== debian/rules ===
#!/usr/bin/make -f

# CDBS crud
export QUILT_SERIES = series-quilt
DEB_AUTO_UPDATE_DEBIAN_CONTROL :=
DEB_TAR_SRCDIR	 = $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION)
ifeq (1,$(USE_CDBS))
include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
else
DEB_SOURCE_PACKAGE	?= sendmail
DEB_UPSTREAM_VERSION	:= $(shell dpkg-parsechangelog | sed -nr '/^Version:/s/Version: (.*:)?(.*)-(.*)/\2/p')
DEB_VERSION		:= $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
_cdbs_tarball_dir	?= build-tree
DEB_SRCDIR		?= $(_cdbs_tarball_dir)/$(DEB_TAR_SRCDIR)
DEB_DESTDIR		?= $(CURDIR)/debian/tmp/
endif

# Make it even harder to exploit sendmail.
# Well, almost impossible now 8-)
# * Compile all with -fPIC (works for pic or pie objects)
# * Link with either -pie or -shared
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=+all,-pie" dpkg-buildflags
CFLAGS   := $(shell $(dpkg_buildflags) --get CFLAGS)
CFLAGS   += -fPIC
ifneq (,$(filter -fstack-protector,$(CFLAGS)))
	CFLAGS += -fstack-protector-all
	endif
CXXFLAGS := $(shell $(dpkg_buildflags) --get CXXFLAGS)
CPPFLAGS := $(shell $(dpkg_buildflags) --get CPPFLAGS)
LDFLAGS  := $(shell $(dpkg_buildflags) --get LDFLAGS)
LDFLAGS  += -Wl,-z,noexecstack -Wl,--warn-shared-textrel
LDFLAGS  += -fpie
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS

version_debian	?= -$(lastword $(subst -, ,${DEB_VERSION}))
SRC_DIR    := $(CURDIR)/debian
PKG_DIR    := debian/${DEB_SOURCE_PACKAGE}-bin
PKG_DOC     = debian/${DEB_SOURCE_PACKAGE}-doc${docdir}/${DEB_SOURCE_PACKAGE}-doc
SM_SUBDIRS := editmap libmilter mail.local mailstats \
		makemap praliases rmail sendmail smrsh vacation
PKG_TMP	 = debian/tmp

# Now that all that is out of the way, read the desired configuration
# settings
CONF_NAME = debian/configure.options
$(eval CONFIG_OPTS := $(shell grep -v "^\#" ${CONF_NAME}))
CONFIG_OPTS	+= ${SM_CONF_OPT}

# Include Debian Autoconf settings
include $(firstword $(wildcard debian/build/autoconf.mk \
	debian/build/autoconf.mk.in))


#-------------
# Maintainer only rule... refresh debian/configure, debian/*/Makefile.in, and debian/control
AUTOMAKEARGS	?= --force
AUTOMAKEARGS	?= --force --force-missing --add-missing --copy
refresh-debian-configure:
	# unpack
	-debian/rules configure
	# regenerate
	cd debian && aclocal -I ./build
	cd debian && autoconf
	cd debian && automake $(AUTOMAKEARGS)
	# regenerate more, run twice in case debian/control gets updated
	debian/rules configure || debian/rules configure
	# cleanup
	fakeroot debian/rules clean
	$(RM) debian/aclocal.m4


#-------------
# Maintainer only rule... must be run in external debian directory
.PHONY: refresh-faq
refresh-faq::
	@echo 'Refreshing FAQ'
	@chmod u+w faq.txt;
	(wget --passive-ftp --timestamping \
		--cache=off http://www.sendmail.org/faq/faq.txt;);
	@chmod a-w faq.txt;
	@echo 'Refreshing Misc'
	@chmod u+w cf/feature/rhsbl.m4;
	(cd cf/feature && wget --passive-ftp --timestamping \
		--cache=off http://www.megacity.org/software_downloads/rhsbl.m4;);
	@chmod u-w cf/feature/rhsbl.m4;


#------------------------------------------------------------------------------
# Build/Package check rules
#------------------------------------------------------------------------------
#-------------
.PHONY: info
info:
	#--------------------------------------------------------------------
	# The following information will be used for this run:
	#	Source	   = ${DEB_SOURCE_PACKAGE}
	#	Package    = ${DEB_SOURCE_PACKAGE} ${DEB_VERSION}
	#	             ${version_string}${sm_custom_s}${version_debian}
	#	Upstream V = ${DEB_UPSTREAM_TARBALL_VERSION}
	#	BuildTree  = ${DEB_SRCDIR}
	#	Arch	   = ${DEB_BUILD_ARCH} on ${DEB_HOST_ARCH}
	#	Options
	#	  configure   = ${CONFIG_OPTS}
	#	  config opt  = ${SM_CONF_OPT}
	#	  ENABLE_INDEP= ${ENABLE_INDEP}
	#	  ENABLE_ARCH = ${ENABLE_ARCH}
	#	  ENABLE_DEV  = ${ENABLE_DEV}
	#	  ENABLE_DOC  = ${ENABLE_DOC}
	#	  compile opt = ${CC} ${CFLAGS} ${DEFINES}
	#	DEB_BUILD_OPTIONS = ${DEB_BUILD_OPTIONS}
	#	DH_VERBOSE = ${DH_VERBOSE}
	#	DH_OPTIONS = ${DH_OPTIONS}
	#	DH_COMPAT  = ${DH_COMPAT}
	#--------------------------------------------------------------------


#-------------
pre-build:: verify-tarball
.PHONY: verify-tarball
verify-tarball::
	#--------------------------------------------------------------------
	# verify_tarball:
	#
	# Verifying the md5 summs and signed files
	@dh_testdir;
	@for file in $$(find . -maxdepth 1 -name '*.md5'); do \
		echo "Checking MD5 source: $$file."; \
		cat $$file; \
		md5sum -c $$file; \
		done;
	@for file in $$(find . -maxdepth 1 -name '*.sig'); do \
		echo "Checking signature file $$file."; \
		part=$$(echo "$$file" | sed -e 's/\.sig$$//'); \
		if [ -f $$part ]; then \
			gpg --verify $$part.sig $$part || true; \
		elif [ -f $$part.gz ]; then \
			gunzip -c $$part.gz > $$part; \
			gpg --verify $$part.sig $$part || true; \
			rm $$part; \
			fi; \
		done;
	#--------------------------------------------------------------------


#------------------------------------------------------------------------------
# User callable rules
#------------------------------------------------------------------------------

ifeq (,$(USE_CDBS))
%:
	dh $@ --parallel

clean:
	$(MAKE) -f debian/rules $@ USE_CDBS=1
	dh $@
endif


override_dh_auto_clean:
	dh_auto_clean -D debian
	$(RM) sendmail*.tar.gz.cdbs-config_list

cdbs-patch-stamp:
	$(MAKE) -f debian/rules patch USE_CDBS=1
	touch $@

configure: override_dh_auto_configure ;

override_dh_auto_configure: cdbs-patch-stamp
	dh_auto_configure -D debian -- $(CONFIG_OPTS)

override_dh_auto_build-indep:
	#--------------------------------------------------------------------
	# build-indep:
	#
	# sendmail operations guide
	GROFF_NO_SGR=1 $(MAKE) -C ${DEB_SRCDIR}/doc/op/ op.txt
	# Debian stuff
	$(MAKE) -C debian -f Makefile build-indep
	#--------------------------------------------------------------------

override_dh_auto_install-indep:
	#--------------------------------------------------------------------
	# install-indep
	#
	# Correct some paths in upstream documentation
	sed -i \
		-e "s?/usr/libexec?${libexecdir}?g" \
		-e "s?/usr/ucb/vacation?${libexecdir}/vacation.sendmail?g" \
		-e "s?/usr/adm/sm.bin?${sysconfdir}/mail/smrsh?g" \
		${DEB_SRCDIR}/smrsh/README
	# sendmail operations guide and other documentation
	${INSTALL} -d ${PKG_DOC}/op
	$(INSTALL_DATA) ${DEB_SRCDIR}/doc/op/op.ps	${PKG_DOC}/op/
	$(INSTALL_DATA) ${DEB_SRCDIR}/doc/op/op.txt	${PKG_DOC}/op/
	$(INSTALL_DATA) ${DEB_SRCDIR}/README		${PKG_DOC}/
	$(INSTALL_DATA) ${DEB_SRCDIR}/KNOWNBUGS		${PKG_DOC}/
	$(INSTALL_DATA) ${DEB_SRCDIR}/cf/README		${PKG_DOC}/cf.README
	${INSTALL} -d ${PKG_DOC}/sendmail
	$(INSTALL_DATA) ${DEB_SRCDIR}/sendmail/README		${PKG_DOC}/sendmail/
	$(INSTALL_DATA) ${DEB_SRCDIR}/sendmail/SECURITY		${PKG_DOC}/sendmail/
	$(INSTALL_DATA) ${DEB_SRCDIR}/sendmail/TRACEFLAGS	${PKG_DOC}/sendmail/
	$(INSTALL_DATA) ${DEB_SRCDIR}/sendmail/TUNING		${PKG_DOC}/sendmail/
	$(INSTALL_DATA) ${DEB_SRCDIR}/smrsh/README	${PKG_DOC}/smrsh.README
	$(INSTALL_DATA) debian/faq.txt			${PKG_DOC}/
	${INSTALL} -d ${PKG_DOC}/libmilter/html
	$(INSTALL_DATA) ${DEB_SRCDIR}/libmilter/README	${PKG_DOC}/libmilter/
	cp -a ${DEB_SRCDIR}/libmilter/docs/*		${PKG_DOC}/libmilter/html/
	# Debian stuff
	$(MAKE) -C debian/cf		-f Makefile install-indep DESTDIR="${SRC_DIR}/sendmail-cf"
	$(MAKE) -C debian/examples	-f Makefile install-indep DESTDIR="${SRC_DIR}/sendmail-base"
	$(MAKE) -C debian/local		-f Makefile install-indep DESTDIR="${SRC_DIR}/sendmail-base"
	#--------------------------------------------------------------------

override_dh_auto_build-arch:
	#--------------------------------------------------------------------
	# build-arch
	#
	# Place our m4 configuration files for the sendmail build to use
	cp -f debian/build/site.config.m4 ${DEB_SRCDIR}/devtools/Site/
	# Finally, build the whole enchilada (we'll let sendmail figure
	# which, if any of the dependant libraries each component needs)
	for subdir in ${SM_SUBDIRS}; do \
